Subject: Re: [PATCH 1/2] powerpc: Add base support for ISA v3.1

From: Alistair Popple <[email-masked]>
Date: Tue, 21 Apr 2020 11:52:46 +1000

On Tuesday, 21 April 2020 11:30:52 AM AEST Alistair Popple wrote:
> On Saturday, 4 April 2020 2:32:08 AM AEST Segher Boessenkool wrote:
> > Hi!
> > 
> > On Fri, Apr 03, 2020 at 03:10:54PM +1100, Alistair Popple wrote:
> > > +#define   PCR_ARCH_300	0x10		/* Architecture 3.00 */
> > 
> > It's called 3.0, not 3.00?
> 
> Thanks. I'll fix that up.

Actually we have already defined it upstream as CPU_FTR_ARCH_300 in arch/
powerpc/include/asm/cputable.h and PVR_ARCH_300 in arch/powerpc/include/asm/
reg.h so for consistency we should make it the same here. So either we leave 
this patch as is or we change it to PCR_ARCH_30 along with the existing 
upstream #defines. Thoughts?

- Alistair

> - Alistair
> > Segher